import request from "@/utils/request";

// 轮播图位置列表
export function bannerLocal(data) {
  return request({
    url: "/admin/v1/sys/banner/local",
    method: "post",
    data,
  });
}

// 轮播图列表
export function bannerList(params) {
  return request({
    url: "/business/casBanner/list",
    method: "get",
    params,
  });
}
// 轮播图添加
export function bannerAdd(data) {
  return request({
    url: "/business/casBanner",
    method: "post",
    data,
  });
}
// 轮播图修改
export function bannerEdit(data) {
  return request({
    url: "/business/casBanner",
    method: "put",
    data,
  });
}
// 轮播图删除
export function bannerDelete(ids) {
  return request({
    url: `/business/casBanner/${ids}`,
    method: "post",
  });
}

// 协议列表
export function agreementList(params) {
  return request({
    url: "/business/casAgreement/list",
    method: "get",
    params,
  });
}
// 协议添加
export function agreementAdd(data) {
  return request({
    url: "/business/casAgreement",
    method: "post",
    data,
  });
}
// 协议详情
export function agreementDetail(id) {
  return request({
    url: `/business/casAgreement/${id}`,
    method: "get",
  });
}
// 协议修改
export function agreementEdit(data) {
  return request({
    url: "/business/casAgreement",
    method: "put",
    data,
  });
}
// 协议删除
export function agreementDelete(ids) {
  return request({
    url: `/business/casAgreement/${ids}`,
    method: "delete",
  });
}

// 尾部导航栏列表
export function navigationList(params) {
  return request({
    url: "/business/casNavigation/list",
    method: "get",
    params,
  });
}
// 尾部导航栏添加
export function navigationAdd(data) {
  return request({
    url: "/business/casNavigation",
    method: "post",
    data,
  });
}
// 尾部导航栏修改
export function navigationEdit(data) {
  return request({
    url: "/business/casNavigation",
    method: "put",
    data,
  });
}
// 尾部导航栏删除
export function navigationDelete(ids) {
  return request({
    url: `/business/casNavigation/${ids}`,
    method: "delete",
  });
}
